    PROGRAM nag_mat_norm_ex01

      ! Example Program Text for nag_mat_norm
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_in, nag_std_out
      USE nag_mat_norm, ONLY : nag_gen_mat_norm
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      INTEGER :: i, m, n
      ! .. Local Arrays ..
      COMPLEX (wp), ALLOCATABLE :: a(:,:)
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) 'Example Program Results for nag_mat_norm_ex01'

      READ (nag_std_in,*)          ! Skip heading in data file
      READ (nag_std_in,*) m, n

      ALLOCATE (a(m,n))            ! Allocate storage

      READ (nag_std_in,*) (a(i,:),i=1,m)

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,'(1X,a17,2x,f7.3)') 'One-norm of (A) =', &
       nag_gen_mat_norm(a)

      DEALLOCATE (a)               ! Deallocate storage

    END PROGRAM nag_mat_norm_ex01
